MENU

easySwoole安装需要移除的几个禁用函数 小记一下

December 3, 2023 • 已被 148 位童鞋围观过 • 教程文章

新版安装注意事项

  • 新版的 EasySwoole 安装默认不会提供 App 命名空间,还有 Index 控制器
  • 重复安装时需要填写 N,不需要覆盖已经有的 EasySwooleEvent.php、index.php、dev.php、produce.php 等文件
  • 当提示 exec 函数被禁用时,请自己手动执行 composer dump-autoload 命令更新命名空间
  • 当提示 symlinkreadlink 函数被禁用时,请自行修改 php.ini 配置文件取消这些函数的禁用

symlink
exec
putenv
readlink

按下面的步骤进行手动安装

composer require easyswoole/easyswoole=3.5.x
php vendor/easyswoole/easyswoole/bin/easyswoole install

或者

composer require easyswoole/easyswoole=3.5.x
php vendor/bin/easyswoole install

easyswoole 3.4以下的版本启动命令是

php easyswoole start d

3.5以上的启动命令是

php easyswoole server start -d
Last Modified: December 9, 2023